diff --git a/src/packages/fff/fff-network/Makefile b/src/packages/fff/fff-network/Makefile
index 980800a..8ae5f77 100644
--- a/src/packages/fff/fff-network/Makefile
+++ b/src/packages/fff/fff-network/Makefile
@@ -34,7 +34,7 @@ endef
 
 define Package/$(PKG_NAME)/install
 	$(CP) ./files/* $(1)/
-	test -d ./$(BOARD) && $(CP) ./$(BOARD)/* $(1)/etc/
+	test -d ./$(BOARD)-$(SUBTARGET) && $(CP) ./$(BOARD)-$(SUBTARGET)/* $(1)/etc/
 endef
 
 $(eval $(call BuildPackage,$(PKG_NAME)))
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.archer-c25-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.archer-c25-v1
new file mode 100644
index 0000000..b88b96b
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.archer-c25-v1
@@ -0,0 +1,10 @@
+PORTORDER="4 3 2 1"
+
+WANDEV=eth0
+SWITCHDEV=eth1
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS=""
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.archer-c7-v2 b/src/packages/fff/fff-network/ar71xx-generic/network.archer-c7-v2
new file mode 100644
index 0000000..593bc2a
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.archer-c7-v2
@@ -0,0 +1,8 @@
+WANDEV=eth0
+SWITCHDEV=eth1
+CLIENT_PORTS="4 5 0t"
+WAN_PORTS="1 6"
+BATMAN_PORTS="2 3 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth0/address)
+ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.cpe210 b/src/packages/fff/fff-network/ar71xx-generic/network.cpe210
new file mode 100644
index 0000000..7b00994
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.cpe210
@@ -0,0 +1,20 @@
+. /lib/functions/fff/network
+
+PORTORDER="5 4"
+
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="0t"
+WAN_PORTS="0t"
+BATMAN_PORTS="0t"
+
+# use mac address from phy0 with 'locally administered' bit set to '1'
+# only possible, because wXmesh is created first and therefore gets the 'universally administered address'
+
+ETHMESHMAC=$(macFlipLocalBit "$(cat /sys/class/ieee80211/phy0/macaddress)")
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
+
+. /etc/network.mode
+
+LAN0PORT=5
+LAN1PORT=4
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.cpe510 b/src/packages/fff/fff-network/ar71xx-generic/network.cpe510
new file mode 100644
index 0000000..7b00994
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.cpe510
@@ -0,0 +1,20 @@
+. /lib/functions/fff/network
+
+PORTORDER="5 4"
+
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="0t"
+WAN_PORTS="0t"
+BATMAN_PORTS="0t"
+
+# use mac address from phy0 with 'locally administered' bit set to '1'
+# only possible, because wXmesh is created first and therefore gets the 'universally administered address'
+
+ETHMESHMAC=$(macFlipLocalBit "$(cat /sys/class/ieee80211/phy0/macaddress)")
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
+
+. /etc/network.mode
+
+LAN0PORT=5
+LAN1PORT=4
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.gl-ar150 b/src/packages/fff/fff-network/ar71xx-generic/network.gl-ar150
new file mode 100644
index 0000000..64049dd
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.gl-ar150
@@ -0,0 +1,16 @@
+. /lib/functions/fff/network
+
+PORTORDER="1"
+
+WANDEV=eth0
+SWITCHDEV=eth1
+WAN_PORTS=
+BATMAN_PORTS="0t"
+CLIENT_PORTS="0t"
+
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
+ETHMESHMAC="$(macFlipLocalBit "$ROUTERMAC")"
+
+. /etc/network.mode
+
+ETHPORT=1
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.mode b/src/packages/fff/fff-network/ar71xx-generic/network.mode
new file mode 100644
index 0000000..09cd715
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.mode
@@ -0,0 +1,30 @@
+################
+## This file is used to configure the behavior of network interfaces
+## if the routers interfaces differ from the standard WAN+4LAN-Ports
+## +2Wireless APs.
+## If you want to change their behavior, you should edit the file
+## /etc/network.config
+## After that you have to reboot the router with following command.
+#reboot
+#
+### The canonical syntax of this file is:
+#SPECIFIER="MODE"
+### MODES
+## Generally there are 3 operating modes for network interfaces in fff.
+#BATMAN: The interface is used to mesh with other fff-nodes
+#WAN:    The interface is used to connect to supernodes via vpn and
+#         ordinary internet.
+#CLIENT: The interface is used to connect clients to the fff-net
+##
+### SPECIFIER
+## For devices only including one ethernet port the specifier is called
+## ETHMODE. The default mode for these devices is "BATMAN".
+## For example this is the case for: gl-ar150, tl-mr3020-v1, tl-wa850re-v1,
+## tl-wa860re-v1, tl-wa901nd-v2, ubnt-bullet-m, ubnt-loco-m-xw, ubnt-nano-m,
+## ubnt-unifi
+ETHMODE="BATMAN"
+## Devices featuring 2 ethernet ports are configured by SPECIFIERs ressembling
+## the labels on the PORT itself. For the cpe210 these are called LAN0 and LAN1.
+## Therefore they are configured as follows:
+LAN0MODE="WAN"
+LAN1MODE="BATMAN"
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3500-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3500-v1
new file mode 100644
index 0000000..59b96df
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3500-v1
@@ -0,0 +1,7 @@
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="0t 1 2"
+WAN_PORTS=
+BATMAN_PORTS="0t 3 4"
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3600-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3600-v1
new file mode 100644
index 0000000..73e7703
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr3600-v1
@@ -0,0 +1,7 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="0t 4 5"
+WAN_PORTS="0t 1"
+BATMAN_PORTS="0t 2 3"
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy1/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4300-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4300-v1
new file mode 100644
index 0000000..73e7703
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4300-v1
@@ -0,0 +1,7 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="0t 4 5"
+WAN_PORTS="0t 1"
+BATMAN_PORTS="0t 2 3"
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy1/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4310-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4310-v1
new file mode 100644
index 0000000..73e7703
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wdr4310-v1
@@ -0,0 +1,7 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="0t 4 5"
+WAN_PORTS="0t 1"
+BATMAN_PORTS="0t 2 3"
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy1/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043n-v5 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043n-v5
new file mode 100644
index 0000000..2079fd5
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043n-v5
@@ -0,0 +1,17 @@
+PORTORDER="5 4 3 2 1"
+
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS="5 0t"
+BATMAN_PORTS="3 4 0t"
+
+. /lib/functions/system.sh
+. /lib/functions/uci-defaults.sh
+. /lib/ar71xx.sh
+
+# Load second MAC from Flash because we haven't any Interface with this MAC where we can copy the MAC from
+# https://github.com/lede-project/source/pull/613/files#diff-abd6f42f54204372151e73eac0556db1
+
+ETHMESHMAC=$(macaddr_add $(mtd_get_mac_binary product-info 8) 1)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v1 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v1
new file mode 100644
index 0000000..7caeaa1
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v1
@@ -0,0 +1,13 @@
+. /lib/functions/fff/network
+
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="3 4 5t"
+WAN_PORTS="0 5t"
+BATMAN_PORTS="1 2 5t"
+
+# use mac address from phy0 with 'locally administered' bit set to '1'
+# only possible, because wXmesh is created first and therefore gets the 'universally administered address'
+
+ETHMESHMAC=$(macFlipLocalBit "$(cat /sys/class/ieee80211/phy0/macaddress)")
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v2 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v2
new file mode 100644
index 0000000..2ce83e6
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v2
@@ -0,0 +1,7 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 6t"
+WAN_PORTS="5 6t"
+BATMAN_PORTS="3 4 6t"
+
+ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v3 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v3
new file mode 100644
index 0000000..2ce83e6
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v3
@@ -0,0 +1,7 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 6t"
+WAN_PORTS="5 6t"
+BATMAN_PORTS="3 4 6t"
+
+ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v4 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v4
new file mode 100644
index 0000000..4d22076
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr1043nd-v4
@@ -0,0 +1,17 @@
+PORTORDER="5 4 3 2 1"
+
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS="5 0t"
+BATMAN_PORTS="3 4 0t"
+
+. /lib/functions/system.sh
+. /lib/functions/uci-defaults.sh
+. /lib/ar71xx.sh
+
+# Load second MAC from Flash because we haven't any Interface with this MAC where we can copy the MAC from
+# https://github.com/lede-project/source/pull/613/files#diff-abd6f42f54204372151e73eac0556db1
+
+ETHMESHMAC=$(mtd_get_mac_binary config 0x1017c)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr842n-v2 b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr842n-v2
new file mode 100644
index 0000000..6e03131
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.tl-wr842n-v2
@@ -0,0 +1,8 @@
+WANDEV=eth0
+SWITCHDEV=eth1
+CLIENT_PORTS="1 4 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 2 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth0/address)
+ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-bullet-m b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-bullet-m
new file mode 100644
index 0000000..372750c
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-bullet-m
@@ -0,0 +1,10 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-loco-m-xw b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-loco-m-xw
new file mode 100644
index 0000000..372750c
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-loco-m-xw
@@ -0,0 +1,10 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-nano-m b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-nano-m
new file mode 100644
index 0000000..372750c
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-nano-m
@@ -0,0 +1,10 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifi b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifi
new file mode 100644
index 0000000..372750c
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifi
@@ -0,0 +1,10 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifiac-lite b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifiac-lite
new file mode 100644
index 0000000..15efcb0
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-generic/network.ubnt-unifiac-lite
@@ -0,0 +1,13 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+. /lib/functions/system.sh
+. /lib/functions/uci-defaults.sh
+. /lib/ar71xx.sh
+
+ROUTERMAC=$(mtd_get_mac_binary EEPROM 0x0)
\ No newline at end of file
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.mode b/src/packages/fff/fff-network/ar71xx-tiny/network.mode
new file mode 100644
index 0000000..8625c10
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.mode
@@ -0,0 +1,25 @@
+################
+## This file is used to configure the behavior of network interfaces
+## if the routers interfaces differ from the standard WAN+4LAN-Ports
+## +2Wireless APs.
+## If you want to change their behavior, you should edit the file
+## /etc/network.config
+## After that you have to reboot the router with following command.
+#reboot
+#
+### The canonical syntax of this file is:
+#SPECIFIER="MODE"
+### MODES
+## Generally there are 3 operating modes for network interfaces in fff.
+#BATMAN: The interface is used to mesh with other fff-nodes
+#WAN:    The interface is used to connect to supernodes via vpn and
+#         ordinary internet.
+#CLIENT: The interface is used to connect clients to the fff-net
+##
+### SPECIFIER
+## For devices only including one ethernet port the specifier is called
+## ETHMODE. The default mode for these devices is "BATMAN".
+## For example this is the case for: gl-ar150, tl-mr3020-v1, tl-wa850re-v1,
+## tl-wa860re-v1, tl-wa901nd-v2, ubnt-bullet-m, ubnt-loco-m-xw, ubnt-nano-m,
+## ubnt-unifi
+ETHMODE="BATMAN"
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-mr3020-v1 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-mr3020-v1
new file mode 100644
index 0000000..facaf91
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-mr3020-v1
@@ -0,0 +1,11 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ETHMESHMAC=$(cat /sys/class/net/eth0/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa850re-v1 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa850re-v1
new file mode 100644
index 0000000..372750c
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa850re-v1
@@ -0,0 +1,10 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa860re-v1 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa860re-v1
new file mode 100644
index 0000000..372750c
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa860re-v1
@@ -0,0 +1,10 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa901nd-v2 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa901nd-v2
new file mode 100644
index 0000000..372750c
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wa901nd-v2
@@ -0,0 +1,10 @@
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS=""
+WAN_PORTS=""
+BATMAN_PORTS=""
+ONE_PORT="YES"
+
+. /etc/network.mode
+
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr740n-v4 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr740n-v4
new file mode 100644
index 0000000..334e498
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr740n-v4
@@ -0,0 +1,9 @@
+WANDEV=eth1
+# WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="1 4 0t"
+WAN_PORTS=
+BATMAN_PORTS="2 3 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v2 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v2
new file mode 100644
index 0000000..c8ddd0f
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v2
@@ -0,0 +1,9 @@
+WANDEV=eth1
+# WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v4 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v4
new file mode 100644
index 0000000..334e498
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr741nd-v4
@@ -0,0 +1,9 @@
+WANDEV=eth1
+# WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="1 4 0t"
+WAN_PORTS=
+BATMAN_PORTS="2 3 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v10 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v10
new file mode 100644
index 0000000..4405406
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v10
@@ -0,0 +1,10 @@
+PORTORDER="4 3 2 1"
+
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v11 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v11
new file mode 100644
index 0000000..4405406
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v11
@@ -0,0 +1,10 @@
+PORTORDER="4 3 2 1"
+
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v12 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v12
new file mode 100644
index 0000000..4405406
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v12
@@ -0,0 +1,10 @@
+PORTORDER="4 3 2 1"
+
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v7 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v7
new file mode 100644
index 0000000..46fd57b
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v7
@@ -0,0 +1,8 @@
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v8 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v8
new file mode 100644
index 0000000..ef6e294
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v8
@@ -0,0 +1,10 @@
+PORTORDER="2 3 4 1"
+
+WANDEV=eth0
+SWITCHDEV=eth1
+CLIENT_PORTS="1 4 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 2 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth0/address)
+ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v9 b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v9
new file mode 100644
index 0000000..498708b
--- /dev/null
+++ b/src/packages/fff/fff-network/ar71xx-tiny/network.tl-wr841-v9
@@ -0,0 +1,8 @@
+WANDEV=eth1
+SWITCHDEV=eth0
+CLIENT_PORTS="1 2 0t"
+WAN_PORTS=
+BATMAN_PORTS="3 4 0t"
+
+ETHMESHMAC=$(cat /sys/class/net/eth1/address)
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c25-v1 b/src/packages/fff/fff-network/ar71xx/network.archer-c25-v1
deleted file mode 100644
index b88b96b..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.archer-c25-v1
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="4 3 2 1"
-
-WANDEV=eth0
-SWITCHDEV=eth1
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=""
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.archer-c7-v2 b/src/packages/fff/fff-network/ar71xx/network.archer-c7-v2
deleted file mode 100644
index 593bc2a..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.archer-c7-v2
+++ /dev/null
@@ -1,8 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth1
-CLIENT_PORTS="4 5 0t"
-WAN_PORTS="1 6"
-BATMAN_PORTS="2 3 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth0/address)
-ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.cpe210 b/src/packages/fff/fff-network/ar71xx/network.cpe210
deleted file mode 100644
index 7b00994..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.cpe210
+++ /dev/null
@@ -1,20 +0,0 @@
-. /lib/functions/fff/network
-
-PORTORDER="5 4"
-
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="0t"
-WAN_PORTS="0t"
-BATMAN_PORTS="0t"
-
-# use mac address from phy0 with 'locally administered' bit set to '1'
-# only possible, because wXmesh is created first and therefore gets the 'universally administered address'
-
-ETHMESHMAC=$(macFlipLocalBit "$(cat /sys/class/ieee80211/phy0/macaddress)")
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
-
-. /etc/network.mode
-
-LAN0PORT=5
-LAN1PORT=4
diff --git a/src/packages/fff/fff-network/ar71xx/network.cpe510 b/src/packages/fff/fff-network/ar71xx/network.cpe510
deleted file mode 100644
index 7b00994..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.cpe510
+++ /dev/null
@@ -1,20 +0,0 @@
-. /lib/functions/fff/network
-
-PORTORDER="5 4"
-
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="0t"
-WAN_PORTS="0t"
-BATMAN_PORTS="0t"
-
-# use mac address from phy0 with 'locally administered' bit set to '1'
-# only possible, because wXmesh is created first and therefore gets the 'universally administered address'
-
-ETHMESHMAC=$(macFlipLocalBit "$(cat /sys/class/ieee80211/phy0/macaddress)")
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
-
-. /etc/network.mode
-
-LAN0PORT=5
-LAN1PORT=4
diff --git a/src/packages/fff/fff-network/ar71xx/network.gl-ar150 b/src/packages/fff/fff-network/ar71xx/network.gl-ar150
deleted file mode 100644
index 64049dd..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.gl-ar150
+++ /dev/null
@@ -1,16 +0,0 @@
-. /lib/functions/fff/network
-
-PORTORDER="1"
-
-WANDEV=eth0
-SWITCHDEV=eth1
-WAN_PORTS=
-BATMAN_PORTS="0t"
-CLIENT_PORTS="0t"
-
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
-ETHMESHMAC="$(macFlipLocalBit "$ROUTERMAC")"
-
-. /etc/network.mode
-
-ETHPORT=1
diff --git a/src/packages/fff/fff-network/ar71xx/network.mode b/src/packages/fff/fff-network/ar71xx/network.mode
deleted file mode 100644
index 09cd715..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.mode
+++ /dev/null
@@ -1,30 +0,0 @@
-################
-## This file is used to configure the behavior of network interfaces
-## if the routers interfaces differ from the standard WAN+4LAN-Ports
-## +2Wireless APs.
-## If you want to change their behavior, you should edit the file
-## /etc/network.config
-## After that you have to reboot the router with following command.
-#reboot
-#
-### The canonical syntax of this file is:
-#SPECIFIER="MODE"
-### MODES
-## Generally there are 3 operating modes for network interfaces in fff.
-#BATMAN: The interface is used to mesh with other fff-nodes
-#WAN:    The interface is used to connect to supernodes via vpn and
-#         ordinary internet.
-#CLIENT: The interface is used to connect clients to the fff-net
-##
-### SPECIFIER
-## For devices only including one ethernet port the specifier is called
-## ETHMODE. The default mode for these devices is "BATMAN".
-## For example this is the case for: gl-ar150, tl-mr3020-v1, tl-wa850re-v1,
-## tl-wa860re-v1, tl-wa901nd-v2, ubnt-bullet-m, ubnt-loco-m-xw, ubnt-nano-m,
-## ubnt-unifi
-ETHMODE="BATMAN"
-## Devices featuring 2 ethernet ports are configured by SPECIFIERs ressembling
-## the labels on the PORT itself. For the cpe210 these are called LAN0 and LAN1.
-## Therefore they are configured as follows:
-LAN0MODE="WAN"
-LAN1MODE="BATMAN"
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-mr3020-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-mr3020-v1
deleted file mode 100644
index facaf91..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-mr3020-v1
+++ /dev/null
@@ -1,11 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ETHMESHMAC=$(cat /sys/class/net/eth0/address)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa850re-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wa850re-v1
deleted file mode 100644
index 372750c..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wa850re-v1
+++ /dev/null
@@ -1,10 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa860re-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wa860re-v1
deleted file mode 100644
index 372750c..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wa860re-v1
+++ /dev/null
@@ -1,10 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wa901nd-v2 b/src/packages/fff/fff-network/ar71xx/network.tl-wa901nd-v2
deleted file mode 100644
index 372750c..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wa901nd-v2
+++ /dev/null
@@ -1,10 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3500-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wdr3500-v1
deleted file mode 100644
index 59b96df..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3500-v1
+++ /dev/null
@@ -1,7 +0,0 @@
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="0t 1 2"
-WAN_PORTS=
-BATMAN_PORTS="0t 3 4"
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1
deleted file mode 100644
index 73e7703..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wdr3600-v1
+++ /dev/null
@@ -1,7 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="0t 4 5"
-WAN_PORTS="0t 1"
-BATMAN_PORTS="0t 2 3"
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy1/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4300-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wdr4300-v1
deleted file mode 100644
index 73e7703..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4300-v1
+++ /dev/null
@@ -1,7 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="0t 4 5"
-WAN_PORTS="0t 1"
-BATMAN_PORTS="0t 2 3"
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy1/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1
deleted file mode 100644
index 73e7703..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wdr4310-v1
+++ /dev/null
@@ -1,7 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="0t 4 5"
-WAN_PORTS="0t 1"
-BATMAN_PORTS="0t 2 3"
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy1/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043n-v5 b/src/packages/fff/fff-network/ar71xx/network.tl-wr1043n-v5
deleted file mode 100644
index 2079fd5..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043n-v5
+++ /dev/null
@@ -1,17 +0,0 @@
-PORTORDER="5 4 3 2 1"
-
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS="5 0t"
-BATMAN_PORTS="3 4 0t"
-
-. /lib/functions/system.sh
-. /lib/functions/uci-defaults.sh
-. /lib/ar71xx.sh
-
-# Load second MAC from Flash because we haven't any Interface with this MAC where we can copy the MAC from
-# https://github.com/lede-project/source/pull/613/files#diff-abd6f42f54204372151e73eac0556db1
-
-ETHMESHMAC=$(macaddr_add $(mtd_get_mac_binary product-info 8) 1)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v1 b/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v1
deleted file mode 100644
index 7caeaa1..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v1
+++ /dev/null
@@ -1,13 +0,0 @@
-. /lib/functions/fff/network
-
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="3 4 5t"
-WAN_PORTS="0 5t"
-BATMAN_PORTS="1 2 5t"
-
-# use mac address from phy0 with 'locally administered' bit set to '1'
-# only possible, because wXmesh is created first and therefore gets the 'universally administered address'
-
-ETHMESHMAC=$(macFlipLocalBit "$(cat /sys/class/ieee80211/phy0/macaddress)")
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v2 b/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v2
deleted file mode 100644
index 2ce83e6..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v2
+++ /dev/null
@@ -1,7 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 6t"
-WAN_PORTS="5 6t"
-BATMAN_PORTS="3 4 6t"
-
-ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3 b/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3
deleted file mode 100644
index 2ce83e6..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v3
+++ /dev/null
@@ -1,7 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 6t"
-WAN_PORTS="5 6t"
-BATMAN_PORTS="3 4 6t"
-
-ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v4 b/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v4
deleted file mode 100644
index 4d22076..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr1043nd-v4
+++ /dev/null
@@ -1,17 +0,0 @@
-PORTORDER="5 4 3 2 1"
-
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS="5 0t"
-BATMAN_PORTS="3 4 0t"
-
-. /lib/functions/system.sh
-. /lib/functions/uci-defaults.sh
-. /lib/ar71xx.sh
-
-# Load second MAC from Flash because we haven't any Interface with this MAC where we can copy the MAC from
-# https://github.com/lede-project/source/pull/613/files#diff-abd6f42f54204372151e73eac0556db1
-
-ETHMESHMAC=$(mtd_get_mac_binary config 0x1017c)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr740n-v4 b/src/packages/fff/fff-network/ar71xx/network.tl-wr740n-v4
deleted file mode 100644
index 334e498..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr740n-v4
+++ /dev/null
@@ -1,9 +0,0 @@
-WANDEV=eth1
-# WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 4 0t"
-WAN_PORTS=
-BATMAN_PORTS="2 3 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v2 b/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v2
deleted file mode 100644
index c8ddd0f..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v2
+++ /dev/null
@@ -1,9 +0,0 @@
-WANDEV=eth1
-# WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v4 b/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v4
deleted file mode 100644
index 334e498..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr741nd-v4
+++ /dev/null
@@ -1,9 +0,0 @@
-WANDEV=eth1
-# WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="1 4 0t"
-WAN_PORTS=
-BATMAN_PORTS="2 3 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10
deleted file mode 100644
index 4405406..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v10
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="4 3 2 1"
-
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11
deleted file mode 100644
index 4405406..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v11
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="4 3 2 1"
-
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12
deleted file mode 100644
index 4405406..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v12
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="4 3 2 1"
-
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v7 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v7
deleted file mode 100644
index 46fd57b..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v7
+++ /dev/null
@@ -1,8 +0,0 @@
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v8 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v8
deleted file mode 100644
index ef6e294..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v8
+++ /dev/null
@@ -1,10 +0,0 @@
-PORTORDER="2 3 4 1"
-
-WANDEV=eth0
-SWITCHDEV=eth1
-CLIENT_PORTS="1 4 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 2 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth0/address)
-ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9 b/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9
deleted file mode 100644
index 498708b..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr841-v9
+++ /dev/null
@@ -1,8 +0,0 @@
-WANDEV=eth1
-SWITCHDEV=eth0
-CLIENT_PORTS="1 2 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 4 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth1/address)
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.tl-wr842n-v2 b/src/packages/fff/fff-network/ar71xx/network.tl-wr842n-v2
deleted file mode 100644
index 6e03131..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.tl-wr842n-v2
+++ /dev/null
@@ -1,8 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth1
-CLIENT_PORTS="1 4 0t"
-WAN_PORTS=
-BATMAN_PORTS="3 2 0t"
-
-ETHMESHMAC=$(cat /sys/class/net/eth0/address)
-ROUTERMAC=$(cat /sys/class/net/eth1/address)
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m b/src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m
deleted file mode 100644
index 372750c..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.ubnt-bullet-m
+++ /dev/null
@@ -1,10 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw b/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw
deleted file mode 100644
index 372750c..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.ubnt-loco-m-xw
+++ /dev/null
@@ -1,10 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-nano-m b/src/packages/fff/fff-network/ar71xx/network.ubnt-nano-m
deleted file mode 100644
index 372750c..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.ubnt-nano-m
+++ /dev/null
@@ -1,10 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifi b/src/packages/fff/fff-network/ar71xx/network.ubnt-unifi
deleted file mode 100644
index 372750c..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifi
+++ /dev/null
@@ -1,10 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-
-ROUTERMAC=$(cat /sys/class/ieee80211/phy0/macaddress)
diff --git a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifiac-lite b/src/packages/fff/fff-network/ar71xx/network.ubnt-unifiac-lite
deleted file mode 100644
index 15efcb0..0000000
--- a/src/packages/fff/fff-network/ar71xx/network.ubnt-unifiac-lite
+++ /dev/null
@@ -1,13 +0,0 @@
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS=""
-WAN_PORTS=""
-BATMAN_PORTS=""
-ONE_PORT="YES"
-
-. /etc/network.mode
-. /lib/functions/system.sh
-. /lib/functions/uci-defaults.sh
-. /lib/ar71xx.sh
-
-ROUTERMAC=$(mtd_get_mac_binary EEPROM 0x0)
\ No newline at end of file
diff --git a/src/packages/fff/fff-network/mpc85xx-generic/network.tl-wdr4900-v1 b/src/packages/fff/fff-network/mpc85xx-generic/network.tl-wdr4900-v1
new file mode 100644
index 0000000..9caa6af
--- /dev/null
+++ b/src/packages/fff/fff-network/mpc85xx-generic/network.tl-wdr4900-v1
@@ -0,0 +1,13 @@
+. /lib/functions/fff/network
+
+WANDEV=eth0
+SWITCHDEV=eth0
+CLIENT_PORTS="0t 4 5"
+WAN_PORTS="0t 1"
+BATMAN_PORTS="0t 2 3"
+
+# use mac address from phy1 with 'locally administered' bit set to '1'
+# only possible, because wXmesh is created first and therefore gets the 'universally administered address'
+
+ETHMESHMAC=$(macFlipLocalBit "$(cat /sys/class/ieee80211/phy1/macaddress)")
+ROUTERMAC=$(cat /sys/class/net/eth0/address)
diff --git a/src/packages/fff/fff-network/mpc85xx/network.tl-wdr4900-v1 b/src/packages/fff/fff-network/mpc85xx/network.tl-wdr4900-v1
deleted file mode 100644
index 9caa6af..0000000
--- a/src/packages/fff/fff-network/mpc85xx/network.tl-wdr4900-v1
+++ /dev/null
@@ -1,13 +0,0 @@
-. /lib/functions/fff/network
-
-WANDEV=eth0
-SWITCHDEV=eth0
-CLIENT_PORTS="0t 4 5"
-WAN_PORTS="0t 1"
-BATMAN_PORTS="0t 2 3"
-
-# use mac address from phy1 with 'locally administered' bit set to '1'
-# only possible, because wXmesh is created first and therefore gets the 'universally administered address'
-
-ETHMESHMAC=$(macFlipLocalBit "$(cat /sys/class/ieee80211/phy1/macaddress)")
-ROUTERMAC=$(cat /sys/class/net/eth0/address)
